TranslateMode

Printer Mode Manager

The documentation is referred to printer with USB port.

Printer with USB port can work in two different mode: Common USB device mode and Printer Class mode (support API)

1. Instruction of printer with USB port printer work mode

1.1 Common USB device mode

In this work mode, the device driver support API interface, so you can program application to send data to printer and get data from the device.

1.2 Printer Class mode

《USB Device Class Definition for Printing Devices Version 1.1》.

The Printer Class defines an architecture for delivering existing printer-command sets to a USB printer.

In this work mode, the printer supports all of the windows applications which provide print function, such as Notepad.exe Wordpad.exe Word.exe etc.

2. Translate device mode

2.1 Check online device

Plug in printer with USB port, click [Get Online Device] key, the dialog will show all printer devices with USB port connected to host computer. you can find the different work mode device in the correlative list box.

2.2 Translate printer work mode from Printer Class mode to Common USB device mode

Select the printer work in Printer Class mode that you will translate its work mode, click [API mode] key to translate its work mode to Common USB device mode. if translation command was send successfully, application would popup a message box to show success information. wait for a moment then power off and power on the device again. Click [Get Online Device] key to check result.

2.3 Translate printer work mode from Common USB device mode to Printer Class mode

Select the printer work in Common USB device mode that you will translate its work mode, click [Printer Class mode] key to translate its work mode to Printer Class mode. if translation command was send successfully, application would popup a message box to show success information. wait for a moment then power off and power on the device again. Click [Get online device] key to check result.

Notes:

When connect API-Mode USB printer ,you need install USB device dirver.

Install USB printer device driver on Windows XP /Server 2003 /Windows Vista

In order to perform this task please assure that you have administrator and/or power-user privileges. When you do not have these rights, please contact the system administrator who can assist you with this procedure.

1. Connect your printer to PC. The Plug and Play recognize it as a new USB device. At the beginning, the "Add New Hardware Wizard" will rise.

2. Select "Install from a list or specific location", click on "Next".

3. Select "Search for the best driver in these locations", Click on "Include this location in the search", then Click on "Browse...", a Window will pop-up "Browse for Folder", browse to directory in which the printer device driver is stored. click on "Next".

4. Click on "Continue Anyway" button. The "Hardware Update Wizard" will now continue to install the driver.

5. Click on "Finish" to complete the installation.

When you connect the USB printer to another USB port of PC, the system will again recognize the USB device and Pop-up "Add New Hardware Wizard". Select "Automatic installation" and click on "Next", the wizard will search driver automatically, pop-up signature page after the wizard has searched the driver, click on "Yes", and click "Finish" to end the installation.